Skip to main content

Bulk Update Records

PATCH or PUT

https://app.smartsuite.com/api/v1/applications/[tableId]/records/bulk/

Updates multiple records. Your request body should include an array (items) of up to 25 records. Each of those objects should be properly formed record objects and must include the record id.

Notice

Including more than 25 records will result in the server returning a 422 error.

Example Request
curl -X PATCH https://app.smartsuite.com/api/v1/applications/6451093119bcf22befaed847/records/bulk/ \
-H "Authorization: Token YOUR_API_KEY" \
-H "ACCOUNT-ID: WORKSPACE_ID" \
-H "Content-Type: application/json" \
--data '{
"items": [
{
"title":"record 1",
"description":"test",
"id":"646e62ac4a12462be0d6fb01"
},
{
"title":"record 2",
"description":"test2",
"id":"646e62ac7e11a5a6aa50e6e5"
},
{
"title":"record 3",
"description":"test3",
"id":"646e62ad5a47d462a9886b2e"
}
]
}'

The update endpoint supports two types of record updates, with a PUT request performing a “destructive” update that clears all values in all records that are not specified in the update, and a PATCH request updating just those fields in all records included in the request.

Important

The record id must be included for each object passed to this endpoint in the items array.

caution

Items whose id does not match a record in the Table are skipped without an error, and the request still returns 200 OK. Compare the ids in the response with the ids you sent.

The following SmartSuite Fields are system-generated, computed or set by aggregate user actions (ex. voting) and cannot be set via API:

  • Auto Number
  • Count
  • First Created
  • Formula
  • Last Updated
  • Record ID
  • Rollup
  • Vote

Path Parameters​

ParamTypeDescription
tableIdstringThe Id of the Table (App) that contains the records.

Request Body​

ParamTypeOptionalDescription
itemsarray of objectsNoAn array of record objects.

Response​

Returns 200 OK with an array of the updated record objects.

200 Response - Example

[
{
"title": "record 1",
"description": {
"data": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"type": "text",
"text": "test"
}
]
}
]
},
"html": "<div class=\"rendered\">\n <p>test</p>\n</div>",
"preview": "test",
"yjsData": null
},
"assigned_to": [],
"status": {
"value": "backlog",
"updated_on": null
},
"due_date": {
"from_date": {
"date": null,
"include_time": false
},
"to_date": {
"date": null,
"include_time": false
},
"is_overdue": false,
"status_is_completed": false,
"status_updated_on": null
},
"priority": "",
"first_created": {
"on": "2024-08-15T22:04:15.887039Z",
"by": "63a1f65723aaf6bcb564b1f1"
},
"last_updated": {
"on": "2024-08-15T22:04:15.887122Z",
"by": "63a1f65723aaf6bcb564b1f1"
},
"followed_by": [],
"comments_count": null,
"autonumber": 3,
"sf20bfec60": [],
"s630009358": {
"date": null,
"include_time": false
},
"sukadqxp": {
"date": null,
"include_time": false
},
"id": "66be7b5fb8b730607ea959f4",
"application_slug": "sbwchxhv",
"application_id": "65f194001c0091a8180f8b2b",
"ranking": {
"default": "aaaaaabsjw"
},
"deleted_date": {
"date": null,
"include_time": false
},
"deleted_by": null
}
]